Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.data.sequences.annotation
Enum StrandedLocatedSequenceAnnotationWithLength.Strand

    java.lang.Object
      java.lang.Enum<StrandedLocatedSequenceAnnotationWithLength.Strand>
          de.jstacs.data.sequences.annotation.StrandedLocatedSequenceAnnotationWithLength.Strand

All Implemented Interfaces:
  Serializable, Comparable<StrandedLocatedSequenceAnnotationWithLength.Strand>

Enclosing class:
  StrandedLocatedSequenceAnnotationWithLength

    public static enum StrandedLocatedSequenceAnnotationWithLength.Strand

extends Enum<StrandedLocatedSequenceAnnotationWithLength.Strand>

The possible orientations on the strands.

Author:
  Jan Grau

Enum Constant Summary
`FORWARD` Annotation is located on the forward strand
`REVERSE` Annotation is located on the reverse strand
`UNKNOWN` The orientation of the annotation is not known

Method Summary
`String` | `strandedness()` Returns the strandedness as a `String`
`static StrandedLocatedSequenceAnnotationWithLength.Strand` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StrandedLocatedSequenceAnnotationWithLength.Strand[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FORWARD

    public static final StrandedLocatedSequenceAnnotationWithLength.Strand FORWARD

  Annotation is located on the forward strand

### REVERSE

    public static final StrandedLocatedSequenceAnnotationWithLength.Strand REVERSE

  Annotation is located on the reverse strand

### UNKNOWN

    public static final StrandedLocatedSequenceAnnotationWithLength.Strand UNKNOWN

  The orientation of the annotation is not known

Method Detail

### values

    public static final StrandedLocatedSequenceAnnotationWithLength.Strand[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StrandedLocatedSequenceAnnotationWithLength.Strand c : StrandedLocatedSequenceAnnotationWithLength.Strand.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StrandedLocatedSequenceAnnotationWithLength.Strand valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### strandedness

    public String strandedness()

  Returns the strandedness as a `String`

  Returns:
    the strandedness

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD